REM *************************************************************************
REM IntyBASIC Project: WIZARD WAR
REM *************************************************************************

	INCLUDE "constants.bas"

REM **********************
REM     INITIALIZATION
REM **********************

	REM Initialize the screen to use Color Stack
	REM Set the stack colors and load the graphic
	
	MODE SCREEN_CS, STACK_BLACK, STACK_BLUE, STACK_BLACK, STACK_BLACK
	BORDER BORDER_BLACK
	DEFINE DEF00,25,IntroScreen
	WAIT

REM **********************
REM         INTRO
REM **********************
	REM Clear the screen a display a message
	CLS
	HP = 20
	MP = 90

Intro:

	REM Clear the screen a display a message
	CLS

	REM DRAGON
	PRINT AT SCREENPOS(0,0) COLOR CS_BLACK + CS_ADVANCE, " " 	
	PRINT AT SCREENPOS(13,2), SPR03 + CS_BLACK
	PRINT AT SCREENPOS(13,3), SPR04 + CS_BLACK
	PRINT AT SCREENPOS(14,2), SPR05 + CS_BLACK
	PRINT AT SCREENPOS(14,3), SPR06 + CS_BLACK
	PRINT AT SCREENPOS(15,2), SPR07 + CS_BLACK
	PRINT AT SCREENPOS(15,3), SPR08 + CS_BLACK
	PRINT AT SCREENPOS(9,7), SPR11 + CS_BLACK
	PRINT AT SCREENPOS(9,8), SPR12 + CS_BLACK
	PRINT AT SCREENPOS(10,7), SPR13 + CS_BLACK
	PRINT AT SCREENPOS(10,8), SPR14 + CS_BLACK
	PRINT AT SCREENPOS(14,8), SPR15 + CS_BLACK
	PRINT AT SCREENPOS(15,8), SPR16 + CS_BLACK
	PRINT AT SCREENPOS(16,8), BG17 + CS_BLACK
	PRINT AT SCREENPOS(5,6), BG00 + CS_BLACK
	PRINT AT SCREENPOS(5,7), BG01 + CS_BLACK
	PRINT AT SCREENPOS(6,6), BG18 + CS_BLACK
	PRINT AT SCREENPOS(6,7), BG19 + CS_BLACK
	PRINT AT SCREENPOS(5,8), SPR22 + CS_BLACK
	PRINT AT SCREENPOS(6,8), SPR23 + CS_BLACK

	PRINT AT SCREENPOS(20,8) COLOR CS_BLACK + CS_ADVANCE, " " 
	PRINT AT SCREENPOS(4, 11) COLOR CS_GREEN, "PRESS FIRE!"

loop:

	For X = 0 to 60
	IF CONT.BUTTON THEN GOTO START
	Wait
	Next 

	PRINT AT SCREENPOS(12,3), SPR09 + CS_ORANGE

	For X = 0 to 20
	IF CONT.BUTTON THEN GOTO START
	Wait
	Next 

	PRINT AT SCREENPOS(12,3), SPR10 + CS_ORANGE

	For X = 0 to 20
	IF CONT.BUTTON THEN GOTO START
	Wait
	Next 

	PRINT AT SCREENPOS(12,3), SPR02 + CS_ORANGE

	For X = 0 to 20
	Wait
	IF CONT.BUTTON THEN GOTO START
	Next 
	
	Print at screenpos(12,3), " "	

	IF CONT.BUTTON THEN GOTO START

	GOTO loop

START: 
	CLS
	DEFINE DEF00,12,GRAPHICS
	GOTO page1

PAGE1:
	PRINT AT SCREENPOS(1,1) COLOR CS_GREEN, "RIGHT - GO NORTH   "
	PRINT AT SCREENPOS(1,2) COLOR CS_GREEN, "LEFT - GO SOUTH    "
	IF CONT1.right THEN GOTO PAGE2
	IF CONT1.left then GOTO PAGE3
	GOTO PAGE1

REM NORTH FROM PAGE 1
PAGE2:	

	PRINT AT SCREENPOS(1,1) COLOR CS_GREEN, "ATTACK! PRESS FIRE!"
	PRINT AT SCREENPOS(1,2) COLOR CS_GREEN, "                       "	
	M_HP = 10
	INIT = 0
	IF CONT.BUTTON THEN GOTO BATTLE
	GOTO PAGE2

PAGE3:
	PRINT AT SCREENPOS(1,1) COLOR CS_GREEN, "ATTACK! PRESS FIRE!"
	PRINT AT SCREENPOS(1,2) COLOR CS_GREEN, "                       "
	M_HP = 12
	INIT = 0
	IF CONT.BUTTON THEN GOTO BATTLE
	GOTO PAGE3


BATTLE: 
	IF M_HP = 0 THEN CLS 
	IF M_HP = 0 THEN GOTO PAGE1
	IF HP = 0 THEN GOTO DEATH
	PRINT AT SCREENPOS(4,8), SPR00 + CS_BLUE
	PRINT AT SCREENPOS(4,9), SPR01 + CS_BLUE
	PRINT AT SCREENPOS(5,9), SPR02 + CS_BLUE
	PRINT AT SCREENPOS(16,9), SPR05 + CS_RED
	PRINT AT SCREENPOS(3,11), SPR08 + CS_YELLOW	
	PRINT AT SCREENPOS(3,10), SPR09 + cs_RED
	PRINT AT SCREENPOS(15,10), SPR09 + cs_RED
	WAIT
	SOUND 0,,0
	PRINT AT SCREENPOS(4,10) COLOR CS_GREEN, <2>HP 
	PRINT AT SCREENPOS(4,11) COLOR CS_YELLOW, <2>MP 
	PRINT AT SCREENPOS(16,10) COLOR CS_GREEN, <2>M_HP
	PRINT AT SCREENPOS(1,1) COLOR CS_GREEN, "1 - MAGIC MISSLE   "
	PRINT AT SCREENPOS(1,2) COLOR CS_GREEN, "2 - FIREBALL       "	
	IF INIT = 1 THEN GOTO M_ATTACK
	IF CONT2.KEY = 1 then GOSUB ARROW
	IF CONT2.KEY = 2 THEN GOSUB BALL
	SOUND 0,,0
	GOTO BATTLE

ARROW: 	PROCEDURE
	IF MP - 1 < 0 THEN GOTO BATTLE
	FOR X=1 TO 80
	SPRITE 0, ( 55+X) + VISIBLE, 80, SPR03 + SPR_Green
	Wait
	NEXT X
	SPRITE 0, ( 55+X), 80, SPR03 + SPR_BLACK
	MP = MP - 1
	GOSUB RANDOM4
	IF RANDNUM > M_HP THEN M_HP = 0 ELSE M_HP = M_HP - RANDNUM
	INIT = 1
	RETURN
	END

BALL: 	PROCEDURE

	IF MP - 2 < 0 THEN GOTO BATTLE
	SOUND 1,200,10
	FOR X=1 TO 80
	SPRITE 0, ( 55+X) + VISIBLE, 80, SPR04 + SPR_ORANGE
	Wait
	NEXT X
	SOUND 1,,0
	SPRITE 0, ( 55+X), 80, SPR04 + SPR_BLACK
	PRINT AT SCREENPOS(16,8), SPR06 + CS_RED
	PRINT AT SCREENPOS(17,8), SPR07 + CS_RED
	FOR WAITTIME = 1 TO 20
	WAIT
	NEXT WAITTIME
	PRINT AT SCREENPOS(16,8), SPR06 + CS_BLACK
	PRINT AT SCREENPOS(17,8), SPR06 + CS_BLACK		
	MP = MP - 2
	DAMAGE = RANDOM(8)
	IF DAMAGE > M_HP THEN M_HP = 0 ELSE M_HP = M_HP - DAMAGE
	INIT = 1
	RETURN
	END

M_Attack:

	FOR WAITTIME = 1 TO 60
	WAIT
	NEXT WAITTIME
	PRINT AT SCREENPOS(12,7) COLOR CS_RED, "ATTACK!"
	HP = HP - 1
	FOR WAITTIME = 1 TO 30
	WAIT
	NEXT WAITTIME
	INIT = 0
	PRINT AT SCREENPOS(12,7) COLOR CS_RED, "       "	
	GOTO BATTLE

DEATH: 
	CLS
	
DEATH2: 
	PRINT AT SCREENPOS(4,7) COLOR CS_RED, "YOU ARE DEAD!"
	GOTO DEATH2

RANDOM4: PROCEDURE
	RANDNUM = RANDOM(4)+1
	RETURN
	END

RANDOM8: PROCEDURE
	RANDNUM = RANDOM(8)+1
	RETURN
	END

graphics:
	REM 0 SDK Logo
	BITMAP "....#..."
	BITMAP "....##.."
	BITMAP "...###.."
	BITMAP "..######"
	BITMAP "...###.."
	BITMAP "...###.."
	BITMAP "...##..."
	BITMAP "...###.."

	REM 1 SDK Logo 2
	BITMAP "...####."
	BITMAP "..######"
	BITMAP "..######"
	BITMAP "..######"
	BITMAP ".######."
	BITMAP ".######."
	BITMAP "........"
	BITMAP "........"

	REM 2 FIRE
	BITMAP "........"
	BITMAP "........"
	BITMAP "##......"
	BITMAP ".###...."
	BITMAP "...##..."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"

	REM 3 DRAGON1
	BITMAP "........"
	BITMAP "........"
	BITMAP "##....#."
	BITMAP "########"
	BITMAP "##....#."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"

	REM 4 FIREBALL
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "..#..###"
	BITMAP ".#.#####"
	BITMAP ".....###"
	BITMAP "........"
	BITMAP "........"
	
	REM 5 SLIME
	BITMAP "........"
	BITMAP "...#...."
	BITMAP "...##..."
	BITMAP "..####.."
	BITMAP ".######."
	BITMAP "##.##.##"
	BITMAP "########"
	BITMAP ".######."
	
	REM 6 DRAGON4
	BITMAP "###.#.#."
	BITMAP "#.#.#.#."
	BITMAP "###.###."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	
	REM 7 DRAGON5
	BITMAP "###.#.#."
	BITMAP "#...###."
	BITMAP "###.#.#."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	
	REM 8 DRAGON6
	BITMAP "....#..#"
	BITMAP "..#....."
	BITMAP "....##.."
	BITMAP "....##.#"
	BITMAP "...#...."
	BITMAP "..#....."
	BITMAP ".#......"
	BITMAP "#......."
	
	REM 9 FIRE
	BITMAP "........"
	BITMAP ".##..##."
	BITMAP "########"
	BITMAP "########"
	BITMAP ".######."
	BITMAP "..####.."
	BITMAP "...##..."
	BITMAP "........"

	REM 10 FIRE
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	
IntroScreen:
	REM 0 SDK Logo
	BITMAP "........"
	BITMAP "........"
	BITMAP "......##"
	BITMAP ".....#.."
	BITMAP ".......#"
	BITMAP "......##"
	BITMAP "......##"
	BITMAP ".....###"

	REM 1 SDK Logo 2
	BITMAP ".....###"
	BITMAP ".....###"
	BITMAP ".....###"
	BITMAP ".....###"
	BITMAP ".....###"
	BITMAP "......##"
	BITMAP "......##"
	BITMAP ".....###"

	REM 2 FIRE
	BITMAP "........"
	BITMAP "..##...."
	BITMAP ".#...##."
	BITMAP "...##..."
	BITMAP "..#..#.."
	BITMAP ".##...#."
	BITMAP "#....#.."
	BITMAP "#......."

	REM 3 DRAGON1
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "....###."
	BITMAP "...#####"
	BITMAP "..##.###"

	REM 4 DRAGON2
	BITMAP "###...##"
	BITMAP "###....."
	BITMAP ".#.....#"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	
	REM 5 DRAGON3
	BITMAP "...###.."
	BITMAP ".#######"
	BITMAP ".#######"
	BITMAP "#######."
	BITMAP "######.."
	BITMAP "####...#"
	BITMAP "####.###"
	BITMAP "#####.##"
	
	REM 6 DRAGON4
	BITMAP "#######."
	BITMAP "#.####.."
	BITMAP ".....#.."
	BITMAP "......#."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	
	REM 7 DRAGON5
	BITMAP "........"
	BITMAP "........"
	BITMAP "#......."
	BITMAP "........"
	BITMAP "........"
	BITMAP "##......"
	BITMAP "####...."
	BITMAP "#.###..."
	
	REM 8 DRAGON6
	BITMAP "....#..."
	BITMAP "....##.."
	BITMAP ".....#.."
	BITMAP "....#..."
	BITMAP "...#...."
	BITMAP "....#..."
	BITMAP "........"
	BITMAP "........"
	
	REM 9 FIRE
	BITMAP "........"
	BITMAP "........"
	BITMAP ".....###"
	BITMAP "...##..."
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"
	BITMAP "........"

	REM 10 FIRE
	BITMAP "........"
	BITMAP "...#...."
	BITMAP ".....##."
	BITMAP "...##..."
	BITMAP "..#..#.."
	BITMAP "..#...#."
	BITMAP "........"
	BITMAP "........"

	REM 11 Wiz1	
	BITMAP "##......"
	BITMAP "##......"
	BITMAP ".#.....#"
	BITMAP ".#....##"
	BITMAP ".###...#"
	BITMAP ".#..##.."
	BITMAP ".#....##"
	BITMAP ".#.....#"

	REM 12 Wiz2	
	BITMAP ".#.....#"
	BITMAP ".#.....#"
	BITMAP ".#.....#"
	BITMAP ".#.....#"
	BITMAP ".#....##"
	BITMAP ".#....##"
	BITMAP ".#....##"
	BITMAP ".#...#.#"

	REM 13 Wiz3
	BITMAP ".#......"
	BITMAP "##......"
	BITMAP "##......"
	BITMAP "###....#"
	BITMAP "##...##."
	BITMAP "#..##..."
	BITMAP "###....."
	BITMAP "##......"

	REM 14 Wiz4
	BITMAP "##......"
	BITMAP "##......"
	BITMAP "##......"
	BITMAP "##......"
	BITMAP "###....."
	BITMAP "####..#."
	BITMAP "######.."
	BITMAP "######.."

	rem 15
	BITMAP "........"
	BITMAP "......##"
	BITMAP "..####.#"
	BITMAP ".####..#"
	BITMAP "..#...##"
	BITMAP "##...#.."
	BITMAP "....#..."
	BITMAP "...##..."

	rem 16
	BITMAP "#####..."
	BITMAP "########"
	BITMAP "########"
	BITMAP "#######."
	BITMAP ".####.##"
	BITMAP "..#....#"
	BITMAP "...#...."
	BITMAP "..##...#"

	rem 17
	BITMAP "####...."
	BITMAP "#...##.."
	BITMAP "....##.."
	BITMAP "##....##"
	BITMAP "..#...#."
	BITMAP "...#...."
	BITMAP "#..#...."
	BITMAP "..#....."

	rem 18
	BITMAP "..###..."
	BITMAP "###.##.."
	BITMAP "######.."
	BITMAP "..##...."
	BITMAP "##.##..."
	BITMAP "###....."
	BITMAP "####...."
	BITMAP "####...."
	
	rem 21
	BITMAP "#####..."
	BITMAP "##.####."
	BITMAP "##.##..."
	BITMAP "###..##."
	BITMAP "###....."
	BITMAP "###....."
	BITMAP "###....."
	BITMAP "###....."
	
	rem 22
	BITMAP ".....###"
	BITMAP "....####"
	BITMAP "...####."
	BITMAP "..####.."
	BITMAP ".####..."
	BITMAP "###....."
	BITMAP ".###...."
	BITMAP "..##...."
	
	rem 23
	BITMAP "####...."
	BITMAP ".###...."
	BITMAP "..##...."
	BITMAP "..###..."
	BITMAP "..###..."
	BITMAP "...##..."
	BITMAP "...###.."
	BITMAP "....###."